| Home | Libraries | People | FAQ | More

## Struct template promote<To, From, std_vector_tag, std_vector_tag>

boost::numeric::functional::promote<To, From, std_vector_tag, std_vector_tag>

## Synopsis

    // In header: <boost/accumulators/numeric/functional/vector.hpp>

    template<typename To, typename From>
    struct promote<To, From, std_vector_tag, std_vector_tag> : public std::unary_function< From, To > {

      // public member functions
      To operator()(From &) const;
    };

## Description

### `promote` public member functions

1.     To operator()(From & arr) const;